/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumDatatype;
import de.ship.db.tables.VDataquierAll;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDataquierAllRecord extends TableRecordImpl<VDataquierAllRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dataquier_all.var_names</code>.
     */
    public void setVarNames(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.var_names</code>.
     */
    public String getVarNames() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.is_public</code>.
     */
    public void setIsPublic(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.is_public</code>.
     */
    public Integer getIsPublic() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stage</code>.
     */
    public void setStage(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stage</code>.
     */
    public Integer getStage() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.label</code>.
     */
    public void setLabel(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.label</code>.
     */
    public String getLabel() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.long_label</code>.
     */
    public void setLongLabel(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.long_label</code>.
     */
    public String getLongLabel() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.label_de</code>.
     */
    public void setLabelDe(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.label_de</code>.
     */
    public String getLabelDe() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.long_label_de</code>.
     */
    public void setLongLabelDe(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.long_label_de</code>.
     */
    public String getLongLabelDe() {
        return (String) get(6);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.data_type</code>.
     */
    public void setDataType(EnumDatatype value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.data_type</code>.
     */
    public EnumDatatype getDataType() {
        return (EnumDatatype) get(7);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.value_labels</code>.
     */
    public void setValueLabels(String value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.value_labels</code>.
     */
    public String getValueLabels() {
        return (String) get(8);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.value_labels_de</code>.
     */
    public void setValueLabelsDe(String value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.value_labels_de</code>.
     */
    public String getValueLabelsDe() {
        return (String) get(9);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.missing_list</code>.
     */
    public void setMissingList(String value) {
        set(10, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.missing_list</code>.
     */
    public String getMissingList() {
        return (String) get(10);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.missing_list_de</code>.
     */
    public void setMissingListDe(String value) {
        set(11, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.missing_list_de</code>.
     */
    public String getMissingListDe() {
        return (String) get(11);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.key_observer</code>.
     */
    public void setKeyObserver(String value) {
        set(12, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.key_observer</code>.
     */
    public String getKeyObserver() {
        return (String) get(12);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.key_datetime</code>.
     */
    public void setKeyDatetime(String value) {
        set(13, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.key_datetime</code>.
     */
    public String getKeyDatetime() {
        return (String) get(13);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.key_device</code>.
     */
    public void setKeyDevice(String value) {
        set(14, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.key_device</code>.
     */
    public String getKeyDevice() {
        return (String) get(14);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.key_study_segment</code>.
     */
    public void setKeyStudySegment(String value) {
        set(15, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.key_study_segment</code>.
     */
    public String getKeyStudySegment() {
        return (String) get(15);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.variable_order</code>.
     */
    public void setVariableOrder(Integer value) {
        set(16, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.variable_order</code>.
     */
    public Integer getVariableOrder() {
        return (Integer) get(16);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.short_name</code>.
     */
    public void setShortName(String value) {
        set(17, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.short_name</code>.
     */
    public String getShortName() {
        return (String) get(17);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stata_missing</code>.
     */
    public void setStataMissing(String value) {
        set(18, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stata_missing</code>.
     */
    public String getStataMissing() {
        return (String) get(18);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stata_dependency</code>.
     */
    public void setStataDependency(String value) {
        set(19, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stata_dependency</code>.
     */
    public String getStataDependency() {
        return (String) get(19);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stata_hard_limit</code>.
     */
    public void setStataHardLimit(String value) {
        set(20, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stata_hard_limit</code>.
     */
    public String getStataHardLimit() {
        return (String) get(20);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stata_soft_limit</code>.
     */
    public void setStataSoftLimit(String value) {
        set(21, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stata_soft_limit</code>.
     */
    public String getStataSoftLimit() {
        return (String) get(21);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stata_key_observer</code>.
     */
    public void setStataKeyObserver(String value) {
        set(22, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stata_key_observer</code>.
     */
    public String getStataKeyObserver() {
        return (String) get(22);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stata_key_datetime</code>.
     */
    public void setStataKeyDatetime(String value) {
        set(23, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stata_key_datetime</code>.
     */
    public String getStataKeyDatetime() {
        return (String) get(23);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stata_key_device</code>.
     */
    public void setStataKeyDevice(String value) {
        set(24, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stata_key_device</code>.
     */
    public String getStataKeyDevice() {
        return (String) get(24);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.hard_limits</code>.
     */
    public void setHardLimits(JSONB value) {
        set(25, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.hard_limits</code>.
     */
    public JSONB getHardLimits() {
        return (JSONB) get(25);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.soft_limits</code>.
     */
    public void setSoftLimits(JSONB value) {
        set(26, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.soft_limits</code>.
     */
    public JSONB getSoftLimits() {
        return (JSONB) get(26);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.jump_list</code>.
     */
    public void setJumpList(JSONB value) {
        set(27, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.jump_list</code>.
     */
    public JSONB getJumpList() {
        return (JSONB) get(27);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.report_name</code>.
     */
    public void setReportName(String value) {
        set(28, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.report_name</code>.
     */
    public String getReportName() {
        return (String) get(28);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.create_report</code>.
     */
    public void setCreateReport(String value) {
        set(29, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.create_report</code>.
     */
    public String getCreateReport() {
        return (String) get(29);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.stata_jumps</code>.
     */
    public void setStataJumps(String value) {
        set(30, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.stata_jumps</code>.
     */
    public String getStataJumps() {
        return (String) get(30);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.jump_list_en</code>.
     */
    public void setJumpListEn(String value) {
        set(31, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.jump_list_en</code>.
     */
    public String getJumpListEn() {
        return (String) get(31);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.jump_list_de</code>.
     */
    public void setJumpListDe(String value) {
        set(32, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.jump_list_de</code>.
     */
    public String getJumpListDe() {
        return (String) get(32);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.variable_role</code>.
     */
    public void setVariableRole(String value) {
        set(33, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.variable_role</code>.
     */
    public String getVariableRole() {
        return (String) get(33);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.order_nr</code>.
     */
    public void setOrderNr(Integer value) {
        set(34, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.order_nr</code>.
     */
    public Integer getOrderNr() {
        return (Integer) get(34);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.parent_name</code>.
     */
    public void setParentName(String value) {
        set(35, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.parent_name</code>.
     */
    public String getParentName() {
        return (String) get(35);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.table_name</code>.
     */
    public void setTableName(String value) {
        set(36, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.table_name</code>.
     */
    public String getTableName() {
        return (String) get(36);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.qs_missing_list_en</code>.
     */
    public void setQsMissingListEn(String value) {
        set(37, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.qs_missing_list_en</code>.
     */
    public String getQsMissingListEn() {
        return (String) get(37);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.qs_missing_list_de</code>.
     */
    public void setQsMissingListDe(String value) {
        set(38, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.qs_missing_list_de</code>.
     */
    public String getQsMissingListDe() {
        return (String) get(38);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.qs_jump_list_en</code>.
     */
    public void setQsJumpListEn(String value) {
        set(39, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.qs_jump_list_en</code>.
     */
    public String getQsJumpListEn() {
        return (String) get(39);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.qs_jump_list_de</code>.
     */
    public void setQsJumpListDe(String value) {
        set(40, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.qs_jump_list_de</code>.
     */
    public String getQsJumpListDe() {
        return (String) get(40);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.note_de</code>.
     */
    public void setNoteDe(String value) {
        set(41, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.note_de</code>.
     */
    public String getNoteDe() {
        return (String) get(41);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.note_en</code>.
     */
    public void setNoteEn(String value) {
        set(42, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.note_en</code>.
     */
    public String getNoteEn() {
        return (String) get(42);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_all.maelstrom_annotation</code>.
     */
    public void setMaelstromAnnotation(JSONB value) {
        set(43, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_all.maelstrom_annotation</code>.
     */
    public JSONB getMaelstromAnnotation() {
        return (JSONB) get(43);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDataquierAllRecord
     */
    public VDataquierAllRecord() {
        super(VDataquierAll.V_DATAQUIER_ALL);
    }

    /**
     * Create a detached, initialised VDataquierAllRecord
     */
    public VDataquierAllRecord(String varNames, Integer isPublic, Integer stage, String label, String longLabel, String labelDe, String longLabelDe, EnumDatatype dataType, String valueLabels, String valueLabelsDe, String missingList, String missingListDe, String keyObserver, String keyDatetime, String keyDevice, String keyStudySegment, Integer variableOrder, String shortName, String stataMissing, String stataDependency, String stataHardLimit, String stataSoftLimit, String stataKeyObserver, String stataKeyDatetime, String stataKeyDevice, JSONB hardLimits, JSONB softLimits, JSONB jumpList, String reportName, String createReport, String stataJumps, String jumpListEn, String jumpListDe, String variableRole, Integer orderNr, String parentName, String tableName, String qsMissingListEn, String qsMissingListDe, String qsJumpListEn, String qsJumpListDe, String noteDe, String noteEn, JSONB maelstromAnnotation) {
        super(VDataquierAll.V_DATAQUIER_ALL);

        setVarNames(varNames);
        setIsPublic(isPublic);
        setStage(stage);
        setLabel(label);
        setLongLabel(longLabel);
        setLabelDe(labelDe);
        setLongLabelDe(longLabelDe);
        setDataType(dataType);
        setValueLabels(valueLabels);
        setValueLabelsDe(valueLabelsDe);
        setMissingList(missingList);
        setMissingListDe(missingListDe);
        setKeyObserver(keyObserver);
        setKeyDatetime(keyDatetime);
        setKeyDevice(keyDevice);
        setKeyStudySegment(keyStudySegment);
        setVariableOrder(variableOrder);
        setShortName(shortName);
        setStataMissing(stataMissing);
        setStataDependency(stataDependency);
        setStataHardLimit(stataHardLimit);
        setStataSoftLimit(stataSoftLimit);
        setStataKeyObserver(stataKeyObserver);
        setStataKeyDatetime(stataKeyDatetime);
        setStataKeyDevice(stataKeyDevice);
        setHardLimits(hardLimits);
        setSoftLimits(softLimits);
        setJumpList(jumpList);
        setReportName(reportName);
        setCreateReport(createReport);
        setStataJumps(stataJumps);
        setJumpListEn(jumpListEn);
        setJumpListDe(jumpListDe);
        setVariableRole(variableRole);
        setOrderNr(orderNr);
        setParentName(parentName);
        setTableName(tableName);
        setQsMissingListEn(qsMissingListEn);
        setQsMissingListDe(qsMissingListDe);
        setQsJumpListEn(qsJumpListEn);
        setQsJumpListDe(qsJumpListDe);
        setNoteDe(noteDe);
        setNoteEn(noteEn);
        setMaelstromAnnotation(maelstromAnnotation);
        resetChangedOnNotNull();
    }
}
